ZXDLS 852 v1, ubuntu 10.04

Neostrada, DialNet, Net24
siwy.dym91
Piegowaty Guziec
Piegowaty Guziec
Posty: 3
Rejestracja: 01 sty 2011, 17:40
Płeć: Mężczyzna
Wersja Ubuntu: 10.04
Środowisko graficzne: GNOME
Architektura: x86

ZXDLS 852 v1, ubuntu 10.04

Post autor: siwy.dym91 » 01 sty 2011, 22:46

Witam, jeżeli chodzi o Linuksa to dziś po jego instalacji widzę go pierwszy raz na oczy - dlatego też proszę o wyrozumiałość. Jedną z najważniejszych funkcji mojego komputera jest możliwość połączenia z internetem, niestety jednak o ile w Windowsie wiedziałem jak skonfigurować połączanie toteż tutaj nie mam zielonego pojęcia. Znalazłem wiele opisów dotyczących instalacji modemu ZXDSL 852 ale w wersji 2 a ja mam niestety ten najstarszy v1. Dlatego też proszę o pomoc w instalacji mojego modemu i skonfigurowaniu połączenia i w miarę łopatologiczne wyjaśnienie jak tego cudu techniki dokonać.

EDIT:
Korzystając z rad poniższej strony chciałem zainstalować modem

http://webme.pl/Instalacja-neostrady-na ... t2088.html

lecz już przy pierwszej komendzie jest coś nie tak - mianowicie po wpisaniu jej prosi mnie o hasło tyle tylko że nie mogę nic wpisać w terminalu, tj żadnej litery czy tez cyfry, a gdy wcisnę ENTER to wyrzuca ze błędne hasło.
Awatar użytkownika
gregorb612
Sędziwy Jeż
Sędziwy Jeż
Posty: 82
Rejestracja: 01 gru 2010, 12:49
Płeć: Mężczyzna
Wersja Ubuntu: 10.04
Środowisko graficzne: GNOME
Architektura: x86
Kontakt:

Odp: ZXDLS 852 v1, ubuntu 10.04

Post autor: gregorb612 » 02 sty 2011, 11:40

Tutaj masz wszystko co potrzeba (zarówno dla v1). W linuxie jest tak, że wpisując hasło w terminalu nie wyskakują żadne gwiazdki itp. ze względu na bezpieczeństwo. Powodzenia :)
siwy.dym91
Piegowaty Guziec
Piegowaty Guziec
Posty: 3
Rejestracja: 01 sty 2011, 17:40
Płeć: Mężczyzna
Wersja Ubuntu: 10.04
Środowisko graficzne: GNOME
Architektura: x86

Odp: ZXDLS 852 v1, ubuntu 10.04

Post autor: siwy.dym91 » 02 sty 2011, 15:43

Działało przez chwilę. Potem pobrałem aktualizacje, stery do grafiki i uruchomiłem kompa ponownie... po ponownym właczaniu wszystko ładnie się łączy ale gdy włącze mozille to nic niestety nie działa,komunikator (wczesniej skonfigurowany za czasów kiedy przez chwile działało) nie działa również. Zainstalowałem ponownie i skonfigurowałem jeszcze raz cały ten programik ale dalej lipa...
Awatar użytkownika
PesiV
Sędziwy Jeż
Sędziwy Jeż
Posty: 65
Rejestracja: 28 gru 2009, 19:47
Płeć: Mężczyzna
Wersja Ubuntu: 11.04
Środowisko graficzne: GNOME
Architektura: x86
Kontakt:

Odp: ZXDLS 852 v1, ubuntu 10.04

Post autor: PesiV » 04 sty 2011, 10:37

Elo
Pokaże wam jak można zainstalować felerny modem (Orange Freedom) ZTE ZXDSL i ZTE ZXDSL V2 .
A wiec na początek musimy ściągnąć UbuDSL

Kod: Zaznacz cały

http://www.ubuntu-pomoc.org/paczka-z-ubudsl-dla-ubuntu-9-10/
Następnie ściągamy pacht i sterowniki do modemu dla wersji v2 oraz z tąd ściągamy softa do naszego modemu

Kod: Zaznacz cały

http://linnet.cba.pl/showthread.php?tid=5
wybieramy pierwszy plik ściągamy i dalej wybieramy plik Firmware dla modemów i jaki modem mamy i ściagamy (z tej stronki trzeba ściągnąć 2 pliki)

ok już przechodzimy do instalacji...
Instalujemy UbuDSL z paczki deb
(pakiet instaluje się sam wystarzcy na niego 2razy kliknąć i otworzy nam się okno i wybieramy po prawej stronie Instaluj paket ok
otwieramy terminal ...
tworzymy nowy folder komendą

Kod:mkdir unicorn-neo

klikamy dwukrotnie na achiwum sterownika które sciągneliśmy i wypakowywujemy go do folderu unicorn-neo który jest w katalogu domowym
kopiujemy też tam: zxdslv2-2.6.31.diff do folderu unicorn-neo dal V2
Otwieramy spowrotem terminal i wpisujemy

Kod: Zaznacz cały

 
cd unicorn-neo 
tar xzvf zxdsl.tar.gz (do wersji modemu starego) 
LuB 
tar xzvf steryzxdsl.tar.gz (do wersji modemu V2)

OK Gotwe diody na modemie powinny się zaświecić jesli nie restartujemy komputer.Jeśli się dalej nie świeco nie martw się może po konfiguracji zadziała tak jak u mnie
Teraz zkonfiguujemy połączenie.
Klikamy w System--->Administracja---->UbUDSL konfiguracja (klikamy)
Konfigurujemy tak jak nam każe konfigurator . Podczas wpisywania danych na samym dole mamy do wyboru 3 rzeczy zaznaczamy pierwsza i drugą i kontynujemy konfiguracje ..i koniec
I cieszymy się dostempem do internetu.
Jeśli potrzebujesz pomocy odpisz postaram się pomuc.




UWAGA Jeżeli nie bedzie działać mozna zainstalować sterowniki jeszcze raz tylko że zmieniając nazwe folderu unicorn-neo na unicorni instalacja przejdzie poprawnie.
siwy.dym91
Piegowaty Guziec
Piegowaty Guziec
Posty: 3
Rejestracja: 01 sty 2011, 17:40
Płeć: Mężczyzna
Wersja Ubuntu: 10.04
Środowisko graficzne: GNOME
Architektura: x86

Odp: ZXDLS 852 v1, ubuntu 10.04

Post autor: siwy.dym91 » 06 sty 2011, 18:08

Problem rozwiązany - mianowicie w mozilii miałem włączoną opcję pracuj w trybie offline. Po odznaczeniu tez opcji działa. Pragnę dodać ze łącze sie za pomoca programu linnet tak jak poradził Gregorb.
Awatar użytkownika
PesiV
Sędziwy Jeż
Sędziwy Jeż
Posty: 65
Rejestracja: 28 gru 2009, 19:47
Płeć: Mężczyzna
Wersja Ubuntu: 11.04
Środowisko graficzne: GNOME
Architektura: x86
Kontakt:

Odp: ZXDLS 852 v1, ubuntu 10.04

Post autor: PesiV » 06 sty 2011, 18:58

A masz moze jakis poradnik jak zainstalować linneta ?
bo ja mam problemy z nim .
Awatar użytkownika
gregorb612
Sędziwy Jeż
Sędziwy Jeż
Posty: 82
Rejestracja: 01 gru 2010, 12:49
Płeć: Mężczyzna
Wersja Ubuntu: 10.04
Środowisko graficzne: GNOME
Architektura: x86
Kontakt:

Odp: ZXDLS 852 v1, ubuntu 10.04

Post autor: gregorb612 » 06 sty 2011, 19:09

PesiV może opisałbyś krok po kroku co robisz z tym linnetem (komendy itp) wraz z wypisaniem ewentualnych błędów jakie są wypluwane?
Awatar użytkownika
PesiV
Sędziwy Jeż
Sędziwy Jeż
Posty: 65
Rejestracja: 28 gru 2009, 19:47
Płeć: Mężczyzna
Wersja Ubuntu: 11.04
Środowisko graficzne: GNOME
Architektura: x86
Kontakt:

Odp: ZXDLS 852 v1, ubuntu 10.04

Post autor: PesiV » 06 sty 2011, 19:49

a więc ...
Linnet0.2

Kod: Zaznacz cały

pesiv@pesiv:~/linnet32$ sudo su 
[sudo] password for pesiv:  
root@pesiv:/home/pesiv/linnet32# ./linnet 
 
 
Program LINNET 0.2 wersja beta 
 
Wybierz opcje: 
1-Instalacja 
2-Polaczenie z internetem 
3-Rozlaczenie z internetem 
4-Restart polaczenia 
5-Informacje o polaczeniu 
6-Wyjscie 
1 
Wybierz odpowiednia opcje: 
1-DSL 
2-Przewodowe 
3-Bezprzewodowe 
4-Komórkowe 
1 
Twoj modem to: ZXDSL wersja 2 
Ten modem nie działa na 64 bitowym systemie!

Kod: Zaznacz cały

pesiv@pesiv:~$ uname -a 
Linux pesiv 2.6.31-22-generic #69-Ubuntu SMP Wed Nov 24 08:51:08 UTC 2010 i686 GNU/Linux 
Linnet0.1

Kod: Zaznacz cały

pesiv@pesiv:~$ sudo chmod u+x linnet  
pesiv@pesiv:~$ ./linnet

Wybierz opcje: 
1-Instalacja 
2-Polaczenie z internetem 
3-Rozlaczenie z internetem 
4-Restart polaczenia 
5-Informacje o polaczeniu 
6-Wyjscie 

pesiv@pesiv:~$ sudo ./linnet -p 
[sudo] password for pesiv: 
_ _ _ ___ _ 
| (_)_ __ _ __ ___| |_ / _ \ / | 
| | | '_ \| '_ \ / _ \ __| | | | || | 
| | | | | | | | | __/ |_ | |_| || | 
|_|_|_| |_|_| |_|\___|\__| \___(_)_| 
Strona projektu: www.linnet.cba.pl 
 
Plugin pppoatm.so loaded. 
PPPoATM plugin_init 
PPPoATM setdevname_pppoatm - SUCCESS:0.35 
connect(0.35): No such device    
Awatar użytkownika
gregorb612
Sędziwy Jeż
Sędziwy Jeż
Posty: 82
Rejestracja: 01 gru 2010, 12:49
Płeć: Mężczyzna
Wersja Ubuntu: 10.04
Środowisko graficzne: GNOME
Architektura: x86
Kontakt:

Odp: ZXDLS 852 v1, ubuntu 10.04

Post autor: gregorb612 » 06 sty 2011, 19:56

Skoro masz zainstalowny 64-bitowy system a w swoich danych masz podane Architektura: x86 to się nie dziwie, że linnet nie chce wystartować jak powinien. Jest on napisany na systemy 32-bitowe.
Awatar użytkownika
PesiV
Sędziwy Jeż
Sędziwy Jeż
Posty: 65
Rejestracja: 28 gru 2009, 19:47
Płeć: Mężczyzna
Wersja Ubuntu: 11.04
Środowisko graficzne: GNOME
Architektura: x86
Kontakt:

Odp: ZXDLS 852 v1, ubuntu 10.04

Post autor: PesiV » 06 sty 2011, 19:58

że co??? 64bitowy ???
lol
nigdy nie ściągałem 64 bitowych linuxów .. zawsze 32 bitowe.
na innej dystrybucji 32 bitowej
stąd http://ubuntu.pl/pobierz.php
i to ściągnięte i zainstalowane na na innym dysku

Kod: Zaznacz cały

Ubuntu 10.10PL Malinowa Mandarynka DVD/USB i386 (x86, wersja 32-bitowa)
Inny komp inny problem:

Kod: Zaznacz cały

iza@iza-Invalid-entry-length-0-DMI-table-is-broken-Stop:~$ sudo su
root@iza-Invalid-entry-length-0-DMI-table-is-broken-Stop:/home/iza# cd linnet32/root@iza-Invalid-entry-length-0-DMI-table-is-broken-Stop:/home/iza/linnet32# chmod u+x linnet
root@iza-Invalid-entry-length-0-DMI-table-is-broken-Stop:/home/iza/linnet32# ./linnet
./linnet: error while loading shared libraries: libQtNetwork.so.4: cannot open shared object file: No such file or directory
root@iza-Invalid-entry-length-0-DMI-table-is-broken-Stop:/home/iza/linnet32# ./linnet -i
./linnet: error while loading shared libraries: libQtNetwork.so.4: cannot open shared object file: No such file or directory
root@iza-Invalid-entry-length-0-DMI-table-is-broken-Stop:/home/iza/linnet32# 
Awatar użytkownika
gregorb612
Sędziwy Jeż
Sędziwy Jeż
Posty: 82
Rejestracja: 01 gru 2010, 12:49
Płeć: Mężczyzna
Wersja Ubuntu: 10.04
Środowisko graficzne: GNOME
Architektura: x86
Kontakt:

Odp: ZXDLS 852 v1, ubuntu 10.04

Post autor: gregorb612 » 06 sty 2011, 20:03

"Ten modem nie działa na 64 bitowym systemie!" Sam zobacz co terminal Ci wyrzucił. Pokaż co wypluwa
dpkg-architecture
oraz
uname -a
Awatar użytkownika
PesiV
Sędziwy Jeż
Sędziwy Jeż
Posty: 65
Rejestracja: 28 gru 2009, 19:47
Płeć: Mężczyzna
Wersja Ubuntu: 11.04
Środowisko graficzne: GNOME
Architektura: x86
Kontakt:

Odp: ZXDLS 852 v1, ubuntu 10.04

Post autor: PesiV » 06 sty 2011, 20:17

no oka ale skąd wziąć 32 bity bo ja już się pogubiłem .
http://ubuntu.pl/pobierz.php Stąd ściągam linuxa Ubuntu 10.10PL Malinowa Mandarynka DVD/USB i386 (x86, wersja 32-bitowa) zainstalowane i działające no i to mi wywala.

Kod: Zaznacz cały

iza@iza-Invalid-entry-length-0-DMI-table-is-broken-Stop:~$ sudo su
root@iza-Invalid-entry-length-0-DMI-table-is-broken-Stop:/home/iza# cd linnet32/root@iza-Invalid-entry-length-0-DMI-table-is-broken-Stop:/home/iza/linnet32# chmod u+x linnet
root@iza-Invalid-entry-length-0-DMI-table-is-broken-Stop:/home/iza/linnet32# ./linnet
./linnet: error while loading shared libraries: libQtNetwork.so.4: cannot open shared object file: No such file or directory
root@iza-Invalid-entry-length-0-DMI-table-is-broken-Stop:/home/iza/linnet32# ./linnet -i
./linnet: error while loading shared libraries: libQtNetwork.so.4: cannot open shared object file: No such file or directory
root@iza-Invalid-entry-length-0-DMI-table-is-broken-Stop:/home/iza/linnet32#
Awatar użytkownika
gregorb612
Sędziwy Jeż
Sędziwy Jeż
Posty: 82
Rejestracja: 01 gru 2010, 12:49
Płeć: Mężczyzna
Wersja Ubuntu: 10.04
Środowisko graficzne: GNOME
Architektura: x86
Kontakt:

Odp: ZXDLS 852 v1, ubuntu 10.04

Post autor: gregorb612 » 06 sty 2011, 20:24

" No such file or directory" to oznacza, że znaleziono wskazanego przez Ciebie pliku. W tej Malinowej Mandarynce masz ten plik linnet.tar.gz i stery do modemu w folderze linnet32? To pokaż ls /home/iza/linnet32
Awatar użytkownika
PesiV
Sędziwy Jeż
Sędziwy Jeż
Posty: 65
Rejestracja: 28 gru 2009, 19:47
Płeć: Mężczyzna
Wersja Ubuntu: 11.04
Środowisko graficzne: GNOME
Architektura: x86
Kontakt:

Odp: ZXDLS 852 v1, ubuntu 10.04

Post autor: PesiV » 08 sty 2011, 14:42

Kod: Zaznacz cały

iza@iza-Invalid-entry-length-0-DMI-table-is-broken-Stop:~$ ls /home/iza/linnet32 
br2684ctl    libQtCore.so.4     Module.markers  unicorn_usb_eth.ko
built-in.o   libQtNetwork.so.4  modules.order   unicorn_usb_eth.mod.c
COPYING      linnet             Module.symvers  unicorn_usb_eth.mod.o
COPYING.GPL  Makefile           README          unicorn_usb_eth.o
include      modem_lib          src             zxdslv2-2.6.31.diff
iza@iza-Invalid-entry-length-0-DMI-table-is-broken-Stop:~$ 
Zauważyłeś to

Kod: Zaznacz cały

 ./linnet: error while loading shared libraries: libQtNetwork.so.4: cannot open shared object file: No such file or directory 

Kod: Zaznacz cały

pesiv@pesiv:~$ dpkg-architecture
DEB_BUILD_ARCH=i386
DEB_BUILD_ARCH_OS=linux
DEB_BUILD_ARCH_CPU=i386
DEB_BUILD_ARCH_BITS=32
DEB_BUILD_ARCH_ENDIAN=little
DEB_BUILD_GNU_CPU=i486
DEB_BUILD_GNU_SYSTEM=linux-gnu
DEB_BUILD_GNU_TYPE=i486-linux-gnu
DEB_HOST_ARCH=i386
DEB_HOST_ARCH_OS=linux
DEB_HOST_ARCH_CPU=i386
DEB_HOST_ARCH_BITS=32
DEB_HOST_ARCH_ENDIAN=little
DEB_HOST_GNU_CPU=i486
DEB_HOST_GNU_SYSTEM=linux-gnu
DEB_HOST_GNU_TY
jeśli ma dobry system to czemu się tak dzieje ???!!!

Kod: Zaznacz cały

pesiv@pesiv:~/linnet32$ sudo su 
[sudo] password for pesiv:  
root@pesiv:/home/pesiv/linnet32# ./linnet 
 
 
Program LINNET 0.2 wersja beta 
 
Wybierz opcje: 
1-Instalacja 
2-Polaczenie z internetem 
3-Rozlaczenie z internetem 
4-Restart polaczenia 
5-Informacje o polaczeniu 
6-Wyjscie 
1 
Wybierz odpowiednia opcje: 
1-DSL 
2-Przewodowe 
3-Bezprzewodowe 
4-Komórkowe 
1 Twoj modem to: ZXDSL wersja 2 
Ten modem nie działa na 64 bitowym systemie!
Tym bardziej że modem mi działa normalnie
michal12345
Serdeczny Borsuk
Serdeczny Borsuk
Posty: 119
Rejestracja: 13 cze 2007, 20:57
Płeć: Mężczyzna
Wersja Ubuntu: inny OS
Środowisko graficzne: GNOME
Architektura: x86
Kontakt:

Odp: ZXDLS 852 v1, ubuntu 10.04

Post autor: michal12345 » 08 sty 2011, 20:12

Kod: Zaznacz cały

mv libQtCore.so.4 /usr/lib
mv libQtNetwork.so.4 /usr/lib
I uruchomić program
Awatar użytkownika
PesiV
Sędziwy Jeż
Sędziwy Jeż
Posty: 65
Rejestracja: 28 gru 2009, 19:47
Płeć: Mężczyzna
Wersja Ubuntu: 11.04
Środowisko graficzne: GNOME
Architektura: x86
Kontakt:

Odp: ZXDLS 852 v1, ubuntu 10.04

Post autor: PesiV » 09 sty 2011, 14:23

No niestety nic to nie zmienia tylko znikają te 2 pliki ... i o dalej to samo
michal12345
Serdeczny Borsuk
Serdeczny Borsuk
Posty: 119
Rejestracja: 13 cze 2007, 20:57
Płeć: Mężczyzna
Wersja Ubuntu: inny OS
Środowisko graficzne: GNOME
Architektura: x86
Kontakt:

Odp: ZXDLS 852 v1, ubuntu 10.04

Post autor: michal12345 » 09 sty 2011, 17:13

Pokaż wyniki:

Kod: Zaznacz cały

ls /usr/lib | grep libQt*
ldd linnet
Awatar użytkownika
PesiV
Sędziwy Jeż
Sędziwy Jeż
Posty: 65
Rejestracja: 28 gru 2009, 19:47
Płeć: Mężczyzna
Wersja Ubuntu: 11.04
Środowisko graficzne: GNOME
Architektura: x86
Kontakt:

Odp: ZXDLS 852 v1, ubuntu 10.04

Post autor: PesiV » 13 sty 2011, 08:54

Kod: Zaznacz cały

pesiv@pesiv:~$ ls /usr/lib | grep libQt*
libQt3Support.so.4
libQt3Support.so.4.6
libQt3Support.so.4.6.2
libQtAssistantClient.so.4
libQtAssistantClient.so.4.6
libQtAssistantClient.so.4.6.2
libQtCLucene.so.4
libQtCLucene.so.4.6
libQtCLucene.so.4.6.2
libQtCore.so.4
libQtCore.so.4.6
libQtCore.so.4.6.2
libQtDBus.so.4
libQtDBus.so.4.6
libQtDBus.so.4.6.2
libQtDesignerComponents.so.4
libQtDesignerComponents.so.4.6
libQtDesignerComponents.so.4.6.2
libQtDesigner.so.4
libQtDesigner.so.4.6
libQtDesigner.so.4.6.2
libQtGui.so.4
libQtGui.so.4.6
libQtGui.so.4.6.2
libQtHelp.so.4
libQtHelp.so.4.6
libQtHelp.so.4.6.2
libQtNetwork.so.4
libQtNetwork.so.4.6
libQtNetwork.so.4.6.2
libQtOpenGL.so.4
libQtOpenGL.so.4.6
libQtOpenGL.so.4.6.2
libQtScript.so.4
libQtScript.so.4.6
libQtScript.so.4.6.2
libQtScriptTools.so.4
libQtScriptTools.so.4.6
libQtScriptTools.so.4.6.2
libQtSql.so.4
libQtSql.so.4.6
libQtSql.so.4.6.2
libQtSvg.so.4
libQtSvg.so.4.6
libQtSvg.so.4.6.2
libQtTest.so.4
libQtTest.so.4.6
libQtTest.so.4.6.2
libQtWebKit.so.4
libQtWebKit.so.4.6
libQtWebKit.so.4.6.2
libQtXmlPatterns.so.4
libQtXmlPatterns.so.4.6
libQtXmlPatterns.so.4.6.2
libQtXml.so.4
libQtXml.so.4.6
libQtXml.so.4.6.2
pesiv@pesiv:~$ ldd linnet
    linux-gate.so.1 =>  (0x00494000)
    libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x0035e000)
    libm.so.6 => /lib/tls/i686/cmov/libm.so.6 (0x00c96000)
    libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x009e3000)
    libc.so.6 => /lib/tls/i686/cmov/libc.so.6 (0x00a37000)
    /lib/ld-linux.so.2 (0x00536000)
pesiv@pesiv:~$ 

EDIT:
No i ??
Co dalej ?
michal12345
Serdeczny Borsuk
Serdeczny Borsuk
Posty: 119
Rejestracja: 13 cze 2007, 20:57
Płeć: Mężczyzna
Wersja Ubuntu: inny OS
Środowisko graficzne: GNOME
Architektura: x86
Kontakt:

Odp: ZXDLS 852 v1, ubuntu 10.04

Post autor: michal12345 » 13 sty 2011, 17:54

A wersja 0.2 alpha działa?
Awatar użytkownika
PesiV
Sędziwy Jeż
Sędziwy Jeż
Posty: 65
Rejestracja: 28 gru 2009, 19:47
Płeć: Mężczyzna
Wersja Ubuntu: 11.04
Środowisko graficzne: GNOME
Architektura: x86
Kontakt:

Odp: ZXDLS 852 v1, ubuntu 10.04

Post autor: PesiV » 14 sty 2011, 00:28

To jest wszystko z linnet0.2
ODPOWIEDZ

Wróć do „ADSL”